#import "MenuClock.h"

@implementation MenuClock

- init
{
	NSRect		screenRect, windowRect;
	NSFont		*font;
	float		f;

	screenRect = [[NSScreen mainScreen] frame];

        windowRect.origin.x =  screenRect.size.width - 140;
        windowRect.origin.y = screenRect.size.height - 16;
        windowRect.size.width = 140;
        f = 16;// [[NSUserDefaults standardUserDefaults] floatForKey:@"NSMenuFontSize"];
        windowRect.size.height = (f ? f : 14) + 4;

        window = [[[NSWindow alloc] initWithContentRect:windowRect styleMask:0 backing: NSBackingStoreBuffered defer: NO] retain];
 
        [window setLevel:NSModalPanelWindowLevel];
        [window orderWindow:NSWindowAbove relativeTo:0];
        [window orderFrontRegardless];

	textField = [[NSTextField alloc] initWithFrame:[window frame]];
        [textField setStringValue:[[NSCalendarDate calendarDate] descriptionWithCalendarFormat:@"%I:%M:%S %p %m/%d/%y"]];
        [window setContentView:textField];
	[textField setEditable:NO];

        font = [NSFont fontWithName:[[NSUserDefaults standardUserDefaults] stringForKey:@"NSMenuFont"] size:[[NSUserDefaults standardUserDefaults] floatForKey:@"NSMenuFontSize"]];
        [textField setFont:font];

        timer = [[NSTimer scheduledTimerWithTimeInterval:1.0 target:self selector:@selector(updateTimer:) userInfo:nil repeats:YES] retain];

        [window display];

	return self;
}

- (void)updateTimer:(id)sender
{
    	[textField setStringValue:[[NSCalendarDate calendarDate] descriptionWithCalendarFormat:@"%I:%M:%S %p %m/%d/%y"]];
}

- (void)dealloc
{
	[timer invalidate];
	[timer release];
	[textField release];
	[window release];
	return;
}

@end

@implementation ClockApp

- (void)finishLaunching
{
	NSPoint aPt = {-10000,-10000};

	[super finishLaunching]; 
	[_appIcon setFrameOrigin:aPt];
        return;
}

@end
